> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notional.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Deposit Routes

<div className="venue-tags" aria-label="Supported venues">
  <span className="venue-tag">Hyperliquid</span>
  <span className="venue-tag">Polymarket</span>
</div>

Returns the multi-step deposit routes enabled by the current deployment. For the Polymarket launch,
the supported route moves HyperCore USDC to HyperEVM and then to Polygon pUSD.

## Endpoint

```text theme={null}
POST /info
```

## Request Body

```json theme={null}
{
  "type": "protocolTransferRoutes"
}
```

## Response

<Tabs sync={false}>
  <Tab title="200: Available">
    ```json theme={null}
    {
      "routes": [
        {
          "termsMode": "quoted",
          "fundingAsset": "0x00012710",
          "maxSourceAmount": "1000000000",
          "destinationFinality": "polygon_finalized",
          "steps": [
            {
              "source": {
                "kind": "hyperliquid",
                "dex": "",
                "asset": "0x00012710"
              },
              "destination": {
                "kind": "chain",
                "networkId": "eip155:999",
                "address": "0x1111111111111111111111111111111111111111",
                "asset": "0x800201b88339cb7199b77e23db6e890353e22632ba630f"
              }
            },
            {
              "source": {
                "kind": "chain",
                "networkId": "eip155:999",
                "address": "0x1111111111111111111111111111111111111111",
                "asset": "0x800201b88339cb7199b77e23db6e890353e22632ba630f"
              },
              "destination": {
                "kind": "chain",
                "networkId": "eip155:137",
                "address": "0x2222222222222222222222222222222222222222",
                "asset": "0x800101c011a7e12a19f7b1f670d46f03b03f3342e82dfb"
              }
            }
          ]
        }
      ]
    }
    ```
  </Tab>

  <Tab title="503: Unavailable">
    ```json theme={null}
    {
      "error": "Protocol transfer routes are unavailable",
      "code": "SERVICE_UNAVAILABLE",
      "timestamp": 1785254400000
    }
    ```
  </Tab>
</Tabs>

The addresses and `maxSourceAmount` above are examples. Always use the values returned by the
active deployment.

## Endpoint Shapes

Hyperliquid endpoint:

```json theme={null}
{
  "kind": "hyperliquid",
  "dex": "",
  "asset": "0x00012710"
}
```

Chain endpoint:

```json theme={null}
{
  "kind": "chain",
  "networkId": "eip155:137",
  "address": "0x2222222222222222222222222222222222222222",
  "asset": "0x800101c011a7e12a19f7b1f670d46f03b03f3342e82dfb"
}
```
